
StocksAndFisheriesKB - Bug #16395

GRSF record titles are not updated

Mar 28, 2019 10:27 AM - Yannis Marketakis

Status: Closed Start date: Mar 28, 2019

Priority: Normal Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

We noticed the following while updating some GRSF records (see #16281#9)

When updating a record, the title of the record (the heading) is not updated.

In the JSON object we are submitting while updating (and publishing) records we do not have a specific field for the title. We supply

the name (stock_name or fishery_name). 

If you check this record http://data.d4science.org/ctlg/GRSF_Admin/6306f86b-1987-3b60-89b4-e71c3d3981ce, you'll notice that

although we have updated the fishery_name, the title of the record is still the previous one. 

Attached you'll find the submitted JSON for your convenience.

Related issues:

Related to StocksAndFisheriesKB - Bug #13160: European Commission missing cod... Closed Jan 16, 2019

Related to StocksAndFisheriesKB - Bug #16377: Citation template does not matc... Closed Apr 11, 2064

Blocks StocksAndFisheriesKB - Bug #16262: Spelling error in area name of a RA... Closed Mar 13, 2019

Blocks StocksAndFisheriesKB - Bug #16281: SFP fishing gears not under the ISS... Closed Mar 14, 2019

History

#1 - Mar 28, 2019 10:27 AM - Yannis Marketakis

- Related to Bug #16281: SFP fishing gears not under the ISSCFG code added

#2 - Mar 28, 2019 10:32 AM - Luca Frosini

- Assignee changed from Luca Frosini to Francesco Mangiacrapa

I think it is a Solr index issue.

Did you update the record yesterday or right now?

#3 - Mar 28, 2019 10:36 AM - Yannis Marketakis

I've updated around 400 GRSF records yesterday (including the one shown above)

#4 - Mar 28, 2019 12:38 PM - Francesco Mangiacrapa

- File SOLR_JSON_FOR_ID_6306f86b-1987-3b60-89b4-e71c3d3981.json added

- Assignee changed from Francesco Mangiacrapa to Luca Frosini

I just checked the above record (id=6306f86b-1987-3b60-89b4-e71c3d3981ce) on SOLR index. It was updated correclty yesterday (see

"metadata_modified" and the complete file attached): 

"metadata_created": "2018-06-22T06:02:53.267005",

"metadata_modified": "2019-03-27T17:05:02.658285",

 The "Fishery Name" and "Short Name" fields have been updated, the 'Title' no.

@luca.frosini@isti.cnr.it I think is missing the mapping from GRSF source "fishery_name" to CKAN record "title" while updating the GRSF record.

Could you check? Thanks

#5 - Mar 28, 2019 04:17 PM - Luca Frosini

- Status changed from New to In Progress

- Assignee changed from Luca Frosini to Francesco Mangiacrapa
Investigating the issue I found that the update methods have an explicit comment for this. For example:

// name, title, product url and  are going to remain unchanged (so we keep them from the publisher record);

 I'm going to change the behaviour setting to title the StockName or FisheryName.

#6 - Mar 28, 2019 04:18 PM - Luca Frosini

- Assignee changed from Francesco Mangiacrapa to Luca Frosini

#7 - Mar 28, 2019 04:31 PM - Luca Frosini

- % Done changed from 0 to 80

#10 - Mar 28, 2019 05:09 PM - Luca Frosini

- % Done changed from 80 to 90

#11 - Mar 28, 2019 05:16 PM - Luca Frosini

I'll deploy the new version of the service as soon as ETICS will build the artifact.

#12 - Mar 29, 2019 08:17 AM - Yannis Marketakis

Thanks Luca

#13 - Mar 29, 2019 11:08 AM - Yannis Marketakis

- Blocks Bug #16262: Spelling error in area name of a RAM record added

#14 - Mar 29, 2019 11:09 AM - Yannis Marketakis

- Related to deleted (Bug #16281: SFP fishing gears not under the ISSCFG code)

#15 - Mar 29, 2019 11:09 AM - Yannis Marketakis

- Blocks Bug #16281: SFP fishing gears not under the ISSCFG code added

#16 - Apr 02, 2019 03:07 PM - Yannis Marketakis

- Related to Bug #13160: European Commission missing code as management entity added

#17 - Apr 02, 2019 03:53 PM - Yannis Marketakis

- Related to Bug #16377: Citation template does not match current citation added

#18 - Apr 02, 2019 06:22 PM - Luca Frosini

As soon as I deploy the new version which should fix issue #12421, can you also please test this?

#19 - Apr 03, 2019 10:54 AM - Luca Frosini

@marketak@ics.forth.gr can you also test this issue?

#20 - Apr 03, 2019 11:52 AM - Yannis Marketakis

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Thanks Luca. Works as expected (http://data.d4science.org/ctlg/GRSF_Admin/5dda87ff-3440-3c89-a333-19dfb938c58b)

Files

6306f86b-1987-3b60-89b4-e71c3d3981ce.json 2.21 KB Mar 28, 2019 Yannis Marketakis

SOLR_JSON_FOR_ID_6306f86b-1987-3b60-89b4-e71c3d3981.json 9.43 KB Mar 28, 2019 Francesco Mangiacrapa
